+++
date = "2018-12-12"
weight = 100

title = "19.03 TestReports 20181205 tiny-containers"

aliases = [
    "/old-wiki/19.03/TestReports/20181205/tiny-containers"
]
+++

Testing results considerations:

1.  These tests use tiny container images.
2.  All automated test cases already integrated into LAVA system were
    executed on the following images: Arm, Arm64, AMD64.
3.  Failures and partial failures were filed as bugs in Phabricator for
    further investigation and analysis.

-----

The platform image used for these tests are:

  - [Arm
    (20181205.0)](https://images.apertis.org/daily/experimental/19.03/20181205.0/armhf/tiny/apertis-lxc-19.03-armhf-tiny_20181205.0.tar.gz)
  - [Arm64
    (20181205.0)](https://images.apertis.org/daily/experimental/19.03/20181205.0/arm64/tiny/apertis-lxc-19.03-arm64-tiny_20181205.0.tar.gz)
  - [AMD64
    (20181205.0)](https://images.apertis.org/daily/experimental/19.03/20181205.0/amd64/tiny/apertis-lxc-19.03-amd64-tiny_20181205.0.tar.gz)

| ID                                                                                                                                                  | Description                                                                               | Type       | Arm        | Arm64      | AMD64  | Tested By | Notes                                                                                                           |
| --------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------- | ---------- | ---------- | ---------- | ------ | --------- | --------------------------------------------------------------------------------------------------------------- |
| **LAVA sanity**                                                                                                                                     |                                                                                           |            |            |            |        |           |                                                                                                                 |
| [check-tiny-system-containers](https://gitlab.apertis.org/infrastructure/tiny-image-recipes/blob/master/lavatests/check-tiny-system-container.yaml) | Test privileged tiny container with shared network                                        | Integrated | PARTIAL    | bgcolor= | | PASSED | andrewsh  | [1](https://lava.collabora.co.uk/scheduler/job/1372435) [2](https://lava.collabora.co.uk/scheduler/job/1372439) |
| [check-tiny-user-containers](https://gitlab.apertis.org/infrastructure/tiny-image-recipes/blob/master/lavatests/check-tiny-user-container.yaml)     | Test non-privileged tiny container without networking                                     | Integrated | bgcolor= | | bgcolor= | | PASSED | andrewsh  | [3](https://lava.collabora.co.uk/scheduler/job/1372435)                                                         |
|                                                                                                                                                     |                                                                                           |            |            |            |        |           |                                                                                                                 |
|                                                                                                                                                     |                                                                                           |            |            |            |        |           |                                                                                                                 |
|                                                                                                                                                     | PASSED - All tests passed.                                                                |            |            |            |        |           |                                                                                                                 |
|                                                                                                                                                     | PARTIAL - Tests mostly passed, with some minor problems.                                  |            |            |            |        |           |                                                                                                                 |
|                                                                                                                                                     | FAILED - One or more tests failed.                                                        |            |            |            |        |           |                                                                                                                 |
|                                                                                                                                                     | NOT TESTED - Test not run due to some issue, like WIP, Disabled, lacking proper hardware. |            |            |            |        |           |                                                                                                                 |
|                                                                                                                                                     |                                                                                           |            |            |            |        |           |                                                                                                                 |
|                                                                                                                                                     |                                                                                           |            |            |            |        |           |                                                                                                                 |
|                                                                                                                                                     | CRITICAL test case - release blocker                                                      |            |            |            |        |           |                                                                                                                 |
|                                                                                                                                                     | HIGH priority test case - must be tested every week                                       |            |            |            |        |           |                                                                                                                 |
|                                                                                                                                                     | MEDIUM priority test case - must be tested at least every other week                      |            |            |            |        |           |                                                                                                                 |
|                                                                                                                                                     | LOW priority test case - test when possible                                               |            |            |            |        |           |                                                                                                                 |
|                                                                                                                                                     |                                                                                           |            |            |            |        |           |                                                                                                                 |

[Category:QA/Test report]( {{< ref "/category_qa/test_report.md" >}} )
[Category:QA/tiny-containers test
report]( {{< ref "/category_qa/tiny-containers_test_report.md" >}} )
[Category:QA/Test report/{{\#rel2abs:
../../../.}}]()