+++
date = "2019-01-24"
weight = 100

title = "19.03 TestReports 20190116"

aliases = [
    "/old-wiki/19.03/TestReports/20190116"
]
+++

Testing results considerations:

1.  Manual test cases were executed on target Arm, target AMD64, base
    SDK AMD64 and SDK AMD64 images when applicable.
2.  All automated test cases already integrated into LAVA system were
    executed on the following images: target Arm, target AMD64,
    development AMD64, base SDK AMD64 and SDK AMD64.
3.  Failures and partial failures were filed as bugs in Phabricator for
    further investigation and analysis.

For OSTree tests, please refer to [{{\#rel2abs:
.}}/OSTree]().

For tiny-containers tests, please refer to [{{\#rel2abs:
.}}/tiny-containers]().

-----

The platform image used for these tests are:

  - [Minimal Arm64
    (20190116)](https://images.apertis.org/weekly/19.03/20190116.0/arm64/minimal/apertis_19.03-minimal-arm64-uboot_20190116.0.img.gz)
  - [Minimal AMD64
    (20190116)](https://images.apertis.org/weekly/19.03/20190116.0/amd64/minimal/apertis_19.03-minimal-amd64-uefi_20190116.0.img.gz)
  - [Target AMD64
    (20190116)](https://images.apertis.org/weekly/19.03/20190116.0/amd64/target/apertis_19.03-target-amd64-uefi_20190116.0.img.gz)
  - [Base SDK AMD64
    (20190116)](https://images.apertis.org/weekly/19.03/20190116.0/amd64/basesdk/apertis_19.03-basesdk-amd64-sdk_20190116.0.vdi.gz)
  - [SDK AMD64
    (20190116)](https://images.apertis.org/weekly/19.03/20190116.0/amd64/sdk/apertis_19.03-sdk-amd64-sdk_20190116.0.vdi.gz)

<table>
<thead>
<tr class="header">
<th><p>ID</p></th>
<th><p>Description</p></th>
<th><p>Type</p></th>
<th><p>Minimal Arm</p></th>
<th><p>Minimal SabreLite</p></th>
<th><p>Minimal Arm64</p></th>
<th><p>Minimal AMD64</p></th>
<th><p>Target Arm</p></th>
<th><p>Target AMD64</p></th>
<th><p>Base SDK AMD64</p></th>
<th><p>SDK AMD64</p></th>
<th><p>Tested By</p></th>
<th><p>Notes</p></th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td><p><strong>Sanity</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/sanity-check.html">sanity-check</a></p></td>
<td><p>Check that the Apertis system basically works. (manual)</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/sanity-check.html">sanity-check</a></p></td>
<td><p>Check that the Apertis system basically works. (automated)</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1434792">1</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434802">2</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435153">3</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435154">4</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435155">5</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435156">6</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435157">7</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435158">8</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434807">9</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434808">10</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434809">11</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434810">12</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435061">13</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435062">14</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435063">15</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435064">16</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434805">17</a></p></td>
</tr>
<tr class="even">
<td><p><strong>Booting</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/image-bootable.html">image-bootable</a></p></td>
<td><p>Test whether the image is bootable.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/image-gui-start.html">image-gui-start</a></p></td>
<td><p>Test whether the image starts a graphical environment.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><strong>HW Acceleration</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/x-hw-accelerated.html">x-hw-accelerated</a></p></td>
<td><p>Test whether the correct GLES2 render is used.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><strong>GStreamer</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/gstreamer1-0-decode.html">gstreamer1.0-decode</a></p></td>
<td><p>Test video and audio decoders and demuxers on a list of media.</p></td>
<td><p>Integrated</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435154">18</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434808">19</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435062">20</a></p></td>
</tr>
<tr class="odd">
<td><p><strong>Multitouch</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/webkit2gtk-mt-touch-events.html">webkit2gtk-mt-touch-events</a></p></td>
<td><p>Test implementation of W3C touch events API in WebKit2GTK.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><strong>WebKit</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/webkit2gtk-actor-tiles.html">webkit2gtk-actor-tiles</a></p></td>
<td><p>Test implementation of actor-based tiled backing store in webkit2GTK.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/webkit2gtk-event-handling-redesign.html">webkit2gtk-event-handling-redesign</a></p></td>
<td><p>Test WebKit2Gtk ability to scroll by touch with inertial behaviour after the touch ended.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><strong>Webkit2GTK-AC</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/webkit2gtk-ac-3d-rendering.html">webkit2gtk-ac-3d-rendering</a></p></td>
<td><p>Test that 3D transforms are applied correctly.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/webkit2gtk-ac-animations.html">webkit2gtk-ac-animations</a></p></td>
<td><p>Test that Webkit2GTK actors created for representing layers animate properly.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/webkit2gtk-ac-scrolling.html">webkit2gtk-ac-scrolling</a></p></td>
<td><p>Test that actors created for representing layers scroll properly.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><strong>Gettext</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/gettext-i18n.html">gettext-i18n</a></p></td>
<td><p>Check that gettext internationalization works.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435154">21</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434808">22</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435062">23</a></p></td>
</tr>
<tr class="even">
<td><p><strong>Meta Data Management</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/gupnp-services.html">gupnp-services</a></p></td>
<td><p>Run a few tests related to service browsing, introspection, etc.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1434792">24</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434802">25</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435154">26</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434808">27</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435062">28</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434805">29</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/libsoup-unit.html">libsoup-unit</a></p></td>
<td><p>Run the unit tests that ship with the library against the running system.</p></td>
<td><p>Integrated</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435154">30</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434808">31</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435062">32</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/tracker-indexing-local-storage.html">tracker-indexing-local-storage</a></p></td>
<td><p>Check tracker indexing of local storage and journal behaviour.</p></td>
<td><p>Integrated</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>bgcolor= |</p></td>
<td><p>FAILED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435154">33</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434808">34</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435062">35</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/tracker-indexing-mass-storage.html">tracker-indexing-mass-storage</a></p></td>
<td><p>Check tracker indexes mass storage devices on insertion.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/tumbler-thumbnailing.html">tumbler-thumbnailing</a></p></td>
<td><p>Check that all thumbnailing features of tumbler are working properly (large, small, videos, documents, images).</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435158">36</a></p></td>
</tr>
<tr class="even">
<td><p><strong>Grilo</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/grilo.html">grilo</a></p></td>
<td><p>Check grilo metadata notifications, and filesystem browsing.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1434792">37</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434802">38</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435154">39</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434808">40</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435062">41</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434805">42</a></p></td>
</tr>
<tr class="even">
<td><p><strong>D-Bus</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/check-dbus-services.html">check-dbus-services</a></p></td>
<td><p>Check that all activatable D-Bus services use systemd, and that they can be started.</p></td>
<td><p>Integrated</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PARTIAL</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1434792">43</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434802">44</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435154">45</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434808">46</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435062">47</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434805">48</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/dbus-dos-reply-time.html">dbus-dos-reply-time</a></p></td>
<td><p>Check the reply time of a few D-Bus method calls while dbus-daemon is loaded by D-Bus traffic.</p></td>
<td><p>Integrated</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435154">49</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434808">50</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435062">51</a></p></td>
</tr>
<tr class="odd">
<td><p><strong>Library modules</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/canterbury.html">canterbury</a></p></td>
<td><p>Run the automated test for the library: canterbury</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>N/A</p></td>
<td><p>PARTIAL</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435156">52</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434810">53</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435064">54</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/didcot.html">didcot</a></p></td>
<td><p>Run the automated test for the library: didcot</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435156">55</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434810">56</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435064">57</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/frome.html">frome</a></p></td>
<td><p>Run the automated test for the library: frome</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435156">58</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434810">59</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435064">60</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/newport.html">newport</a></p></td>
<td><p>Run the automated test for the library: newport</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435156">61</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434810">62</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435064">63</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/ribchester.html">ribchester</a></p></td>
<td><p>Run the automated test for the library: ribchester</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>N/A</p></td>
<td><p>PARTIAL</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435156">64</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434810">65</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435064">66</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/rhosydd.html">rhosydd</a></p></td>
<td><p>Run the automated test for the library: rhosydd</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435156">67</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434810">68</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435064">69</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/traprain.html">traprain</a></p></td>
<td><p>Run the automated test for the library: traprain</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435156">70</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434810">71</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435064">72</a></p></td>
</tr>
<tr class="odd">
<td><p><strong>Networking</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/bluez-avrcp-volume.html">bluez-avrcp-volume</a></p></td>
<td><p>Test the AVRCP volume up and down commands.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/bluez-phone.html">bluez-phone</a></p></td>
<td><p>Test all BlueZ features needing interaction with a phone (Pairing, OBEX, PBAP, AVRCP, A2DP, HSP, HFP, PAN).</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PARTIAL</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/bluez-setup.html">bluez-setup</a></p></td>
<td><p>Test setup of Bluetooth stack by running basic tests using hciconfig. Check if the interface can be brought up/down, can be changed of mode and can discover devices.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/connman.html">connman</a></p></td>
<td><p>Runs some automated tests using the ConnMan D-Bus API. It guarantees most of the basic features are working.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1434792">73</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434802">74</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435154">75</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434808">76</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435062">77</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434805">78</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/connman-new-supplicant.html">connman-new-supplicant</a></p></td>
<td><p>Test the wpa_supplicant interface.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1434792">79</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434802">80</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435154">81</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434808">82</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435062">83</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434805">84</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/connman-pan-tethering.html">connman-pan-tethering</a></p></td>
<td><p>Test ConnMan support for PAN connectivity.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/connman-pan-network-access.html">connman-pan-network-access</a></p></td>
<td><p>Test ConnMan support for bluetooth PAN Network Access Profile.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/connman-services.html">connman-services</a></p></td>
<td><p>Tests ConnMan services.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/connman-usb-tethering.html">connman-usb-tethering</a></p></td>
<td><p>Test ConnMan support for USB tethering (connection side).</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/ofono-sms-receive.html">ofono-sms-receive</a></p></td>
<td><p>Test receiving SMS messages with oFono.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/ofono-sms-send.html">ofono-sms-send</a></p></td>
<td><p>Test sending of SMS with oFono.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><strong>Folks</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/folks-alias-persistence.html">folks-alias-persistence</a></p></td>
<td><p>Ensures user-set contact aliases persist.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435155">85</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434809">86</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435063">87</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/folks-eds-compatibility.html">folks-eds-compatibility</a></p></td>
<td><p>Checks that contacts created within Evolution Data Server (as will happen when phone contacts get synchronized to an Apertis machine) show up in other contact-based programs.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435155">88</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434809">89</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435063">90</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/folks-metacontacts-linking.html">folks-metacontacts-linking</a></p></td>
<td><p>Ensures linking meta-contacts works properly.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435155">91</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434809">92</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435063">93</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/folks-metacontacts-unlinking.html">folks-metacontacts-unlinking</a></p></td>
<td><p>Ensures unlinking meta-contacts works properly.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435155">94</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434809">95</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435063">96</a></p></td>
</tr>
<tr class="even">
<td><p><strong>SDK Development</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/sdk-ide-build-run-program.html">sdk-ide-build-run-program</a></p></td>
<td><p>Creates a simple test project and confirms that compiling and executing work.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><strong>Apparmor Basic</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/apparmor-basic-profiles.html">apparmor-basic-profiles</a></p></td>
<td><p>Test basic apparmor profiles. Only parsing and syntax of profiles are tested for now.</p></td>
<td><p>Integrated</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435153">97</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434807">98</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435061">99</a></p></td>
</tr>
<tr class="even">
<td><p><strong>CGroups</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/cgroups-resource-control.html">cgroups-resource-control</a></p></td>
<td><p>Run cgroup resource control tests</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PARTIAL</p></td>
<td><p>PASSED</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435154">100</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434808">101</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435062">102</a></p></td>
</tr>
<tr class="even">
<td><p><strong>SDK</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/ade-commands.html">ade-command</a></p></td>
<td><p>Checks basic test coverage of the ade tool. Tests ade command, sub-command and options and arguments.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/sdk-ade-remote-debugging.html">sdk-ade-remote-debugging</a></p></td>
<td><p>Checks ade debug remote debugging functionality by connecting to a remote target running gdbserver</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/sdk-performance-tools-gprof.html">sdk-performance-tools-gprof</a></p></td>
<td><p>Checks basic gprof functionality by ensuring a CPU-intensive program shows up in its log as consuming the vast majority of the CPU cycles.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435158">103</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/sdk-performance-tools-sysprof.html">sdk-performance-tools-sysprof</a></p></td>
<td><p>Checks basic sysprof functionality by ensuring a CPU-intensive program shows up in its log as consuming the vast majority of the CPU cycles.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435158">104</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/sdk-debug-tools-gdb.html">sdk-debug-tools-gdb</a></p></td>
<td><p>Checks basic gdb functionality by stopping a program at a set point and checking its backtrace matches expectations.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435158">105</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/sdk-debug-tools-strace.html">sdk-debug-tools-strace</a></p></td>
<td><p>Checks basic strace functionality by checking its output when run on a simple command line program.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435158">106</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/sdk-debug-tools-valgrind.html">sdk-debug-tools-valgrind</a></p></td>
<td><p>Checks basic valgrind functionality by running a program with and without memory leaks, ensuring expected results from valgrind.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435158">107</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/sdk-dbus-tools-bustle.html">sdk-dbus-tools-bustle</a></p></td>
<td><p>Test that bustle-dbus-monitor shows services on the session bus.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>SAGAR</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/sdk-dbus-tools-d-feet.html">sdk-dbus-tools-d-feet</a></p></td>
<td><p>Test that D-Feet both shows services on the session bus and that new services appear automatically.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>SAGAR</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/sdk-code-analysis-tools-gcov.html">sdk-code-analysis-tools-gcov</a></p></td>
<td><p>Checks basic gcov functionality by running a sample program a few different ways and ensuring that a sufficient portion of its code paths are executed</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435158">108</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/sdk-code-analysis-tools-splint.html">sdk-code-analysis-tools-splint</a></p></td>
<td><p>Checks basic splint functionality by checking its output when run on a simple source file.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435158">109</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/sdk-vb-fullscreen.html">sdk-vb-fullscreen</a></p></td>
<td><p>Tests that the SDK VM can be fullscreened in VirtualBox</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>SAGAR</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/sdk-cross-compilation.html">sdk-cross-crosscompilation</a></p></td>
<td><p>Tests that packages can be cross-compiled using a devroot</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><strong>Eclipse</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/eclipse-sysroot-management.html">eclipse-sysroot-management</a></p></td>
<td><p>Test sysroot management and update within Eclipse. It will go through configuring an existing sysroot in Eclipse, and then updating it from the web with the latest version.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>SAGAR</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/eclipse-plugins-install-target.html">eclipse-plugins-install-target</a></p></td>
<td><p>Test copying files to the remote device from within Eclipse. It will create a dummy project and then create a configuration to copy the binary file to a remote device and debug it remotely using Eclipse.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>SAGAR</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/eclipse-plugins-remote-debugging.html">eclipse-remote-debugging</a></p></td>
<td><p>Test remote debugging within Eclipse. It will create a dummy project and then create a configuration to copy the binary file to a remote device and debug it remotely using Eclipse.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>NOT TESTED</p></td>
<td><p>SAGAR</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><strong>Contacts</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/evolution-sync-bluetooth.html">evolution-sync-bluetooth</a></p></td>
<td><p>Synchronizing Bluetooth-paired phone contacts to Evolution.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>SAGAR</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/folks-metacontacts-antilinking.html">folks-metacontacts-antilinking</a></p></td>
<td><p>Ensures anti-linking meta-contacts works properly.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435155">110</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434809">111</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435063">112</a></p></td>
</tr>
<tr class="odd">
<td><p><strong>Connectivity</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/bluez-hfp.html">bluez-hfp</a></p></td>
<td><p>Test Hands Free Profile (HFP) BlueZ feature.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>FAILED</p></td>
<td><p>PASSED</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/rfkill-toggle.html">rfkill-toggle</a></p></td>
<td><p>Test that rfkill is functional.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>SAGAR</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/telepathy-ring.html">telepathy-ring</a></p></td>
<td><p>Support making and receiving phone calls in Telepathy manually, with a bluetooth-paired phone.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>SAGAR</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/telepathy-ring-automated.html">telepathy-ring-automated</a></p></td>
<td><p>Support making and receiving phone calls in Telepathy.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>bgcolor= |</p></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><strong>Contacts</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/folks-ofono-backend.html">folks-ofono-backend</a></p></td>
<td><p>Reading contacts from 3G modem SIM card.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>SAGAR</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/folks-search-contacts.html">folks-search-contacts</a></p></td>
<td><p>Ensures that Folks can correctly search contacts.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435155">113</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434809">114</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435063">115</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/abstract-contact-addressbook-creation.html">abstract-contact-addressbook-creation</a></p></td>
<td><p>A way to be able to create abstract addressbook is needed in SyncEvolution, so that separate addressbooks can be created for each paired device.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435155">116</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434809">117</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435063">118</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/folks-sync-only.html">folks-sync-only</a></p></td>
<td><p>Test SYNCHRONIZE_ONLY flag for persona stores in Folks.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435158">119</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/folks-extended-info.html">folks-extended-info</a></p></td>
<td><p>Support for storing arbitrary data in contacts in Folks.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><strong>Multimedia</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/webkit2gtk-gstreamer1.0.html">webkit2gtk-gstreamer1.0</a></p></td>
<td><p>Tests html5 video playback with GStreamer 1.0 in WebKit2GTK</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>SAGAR</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/traffic-control-basic.html">traffic-control-basic</a></p></td>
<td><p>Test basic traffic control support. This test does not use tcmmd but it could catch missing support in the kernel or misbehaving traffic control.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>SAGAR</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/video-animation-on-boot.html">video-animation-on-boot</a></p></td>
<td><p>Test whether Plymouth is able to display a graphical theme.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>SAGAR</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><strong>Robustness</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/glib-gio-fs.html">glib-gio-fs</a></p></td>
<td><p>Run the GLib gio tests that do I/O on the local filesystem.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1434792">120</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434802">121</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435154">122</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434808">123</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435062">124</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434805">125</a></p></td>
</tr>
<tr class="even">
<td><p><strong>Security</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/apparmor.html">apparmor</a></p></td>
<td><p>Functional testing for AppArmor functionalities.</p></td>
<td><p>Integrated</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PARTIAL</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435153">126</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434807">127</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435061">128</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/apparmor-chaiwala-system.html">apparmor-chaiwala-system</a></p></td>
<td><p>Test that AppArmor's system wide rules works according to Apertis security goals.</p></td>
<td><p>Integrated</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435153">129</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434807">130</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435061">131</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/apparmor-functional-demo.html">apparmor-functional-demo</a></p></td>
<td><p>Show some main AppArmor functionalities, like transitions, net access or resource permissions, under the form of tests.</p></td>
<td><p>Integrated</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435153">132</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434807">133</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435061">134</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/apparmor-utils.html">apparmor-utils</a></p></td>
<td><p>Test apparmor_parser and other tools in apparmor package can be executed.</p></td>
<td><p>Integrated</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435153">135</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434807">136</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435061">137</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/apparmor-session-lockdown-no-deny.html">apparmor-session-lockdown-no-deny</a></p></td>
<td><p>Test that the session lockdown profile is not blocking more than it should</p></td>
<td><p>Integrated</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/apparmor-gstreamer1-0.html">apparmor-gstreamer1.0</a></p></td>
<td><p>Test that AppArmor profiles provided in GStreamer 1.0 works without Auditd complaining</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435153">138</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434807">139</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435061">140</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/apparmor-pulseaudio.html">apparmor-pulseaudio</a></p></td>
<td><p>Test that AppArmor profiles provided in PulseAudio 2.1 work without Auditd complaining.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435153">141</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434807">142</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435061">143</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/apparmor-bluez.html">apparmor-bluez</a></p></td>
<td><p>Test AppArmor profile for support for SPP profile (bluez-spp) and core functionalities (bluez-core).</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/apparmor-bluez-avrcp-volume.html">apparmor-bluez-avrcp-volume</a></p></td>
<td><p>Test AppArmor profile for Bluez AVRCP volume up and down commands.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/apparmor-bluez-setup.html">apparmor-bluez-setup</a></p></td>
<td><p>Test AppArmor profiles for setting up of Bluetooth stack by running basic tests using hciconfig. Check if the interface can be brought up/down, can be changed of mode and can discover devices.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/apparmor-folks.html">apparmor-folks</a></p></td>
<td><p>Test that AppArmor profiles provided in Folks package work without unexpected auditd log entries.</p></td>
<td><p>Integrated</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>N/A</p></td>
<td><p>bgcolor= |</p></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/apparmor-geoclue.html">apparmor-geoclue</a></p></td>
<td><p>Test that geoclue apparmor profiles are working properly</p></td>
<td><p>Integrated</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435153">144</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434807">145</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435061">146</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/apparmor-ofono.html">apparmor-ofono</a></p></td>
<td><p>Test that AppArmor profiles provided in ofono package work without unexpected auditd log entries.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/apparmor-tracker.html">apparmor-tracker</a></p></td>
<td><p>Tests that the tracker abstraction and tracker profiles don't cause false negatives and that it does not allow arbitrary reading of files in the home directory.</p></td>
<td><p>Integrated</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PARTIAL</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435153">147</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434807">148</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435061">149</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/apparmor-tumbler.html">apparmor-tumbler</a></p></td>
<td><p>Tests that the tumbler AppArmor profile doesn't cause false negatives and that it does not allow arbitrary reading of files in the home directory.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435153">150</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434807">151</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435061">152</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/iptables-basic.html">iptables-basic</a></p></td>
<td><p>Test the firewall automatically.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1434792">153</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434802">154</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435154">155</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434808">156</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435062">157</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434805">158</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/iptables-nmap.html">iptables-nmap</a></p></td>
<td><p>Test the firewall using nmap from another computer.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/apparmor-dbus.html">apparmor-dbus</a></p></td>
<td><p>Functional testing for AppArmor D-Bus mediation.</p></td>
<td><p>Integrated</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1435153">159</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434807">160</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435061">161</a></p></td>
</tr>
<tr class="odd">
<td><p><strong>System Update</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/boot-performance-automated.html">boot-performance-automated</a></p></td>
<td><p>Test boot performance.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>bgcolor= |</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1434792">162</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434802">163</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435154">164</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434808">165</a> <a href="https://lava.collabora.co.uk/scheduler/job/1435062">166</a> <a href="https://lava.collabora.co.uk/scheduler/job/1434805">167</a></p></td>
</tr>
<tr class="odd">
<td><p><strong>Webkit</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/webkit2gtk-aligned-scroll.html">webkit2gtk-aligned-scroll</a></p></td>
<td><p>Test that scrolling is pinned in a given direction when started mostly towards it.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/webkit2gtk-lazy-click.html">webkit2gtk-lazy-click</a></p></td>
<td><p>Test touch adjustment (lazy click) support in WebKit2GTK</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/webkit2gtk-drag-and-drop.html">webkit2gtk-drag-and-drop</a></p></td>
<td><p>Test HTML5 drag-and-drop support in WebKit2GTK</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/webkit2gtk-contextual-zoom.html">webkit2gtk-contextual-zoom</a></p></td>
<td><p>This test case is about zooming parts of a web page to make it easier to read on devices with limited screen area. The scope of the test is the zooming functionality that takes into account the content in the clicked area, other functionality that belongs to a real browser isn't to be tested here.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td></td>
<td><p>PASSED - All tests passed.</p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td></td>
<td><p>PARTIAL - Tests mostly passed, with some minor problems.</p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td></td>
<td><p>FAILED - One or more tests failed.</p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td></td>
<td><p>NOT TESTED - Test not run due to some issue, like WIP, Disabled, lacking proper hardware.</p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td></td>
<td><p>CRITICAL test case - release blocker</p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td></td>
<td><p>HIGH priority test case - must be tested every week</p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td></td>
<td><p>MEDIUM priority test case - must be tested at least every other week</p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td></td>
<td><p>LOW priority test case - test when possible</p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
</tbody>
</table>

[Category:QA/Test_report]( {{< ref "/category_qa/test_report.md" >}} )
[Category:QA/Test_report/{{\#rel2abs:
../../.}}]()