+++
date = "2019-11-15"
weight = 100

title = "Build and Integration infrastructure documentation"

aliases = [
    "/old-wiki/Build_and_Integration_infrastructure_documentation"
]
+++

# Build and Integration

This is the page for the Build and Integration team. It includes links
for B\&I services, documentation and activities in the project.

## Services

  - [Wiki](https://wiki.apertis.org)
  - [Issue Tracker](https://phabricator.apertis.org)
  - [OBS (Open Build Service)](https://build.collabora.co.uk)
  - [Images](https://images.apertis.org/)
  - [Repositories](https://repositories.apertis.org/)

## Build Suffix

For every release (*Developer, Preview, Product*), we add a build suffix
string to the packages, which relates to the release name of Apertis.
The build suffix gets added to every built .deb package. Having a build
suffix helps determine which Apertis release the .deb package was built
for.

The suffix string is constructed of: `b + Release Name + b`<B_CNT>
\* Where, the initial **b** is for backward compatibility ensuring the
new suffix string can work well together with older release packages.
\* String, **Release Name** will refer to the Apertis release's name
\* String, **b<B_CNT>** refers to being a binary build along with the
build count.
For example, for an Apertis Developer Release of **v2020dev0**, we add
string `bv2020dev0b`<B_CNT> to the project configuration on OBS
Similarly, for an Apertis Product Release of **v2019.0**, we add string
`bv2019.0b`<B_CNT> to the project configuration on OBS

## Point Releases

For Point Releases (Eg. *v2019.1, v2019.2*), we need to update the build
suffix to ensure that the packages in the new point release have a
higher version than the one in the **updates or security** repository.

For example, during a release, the build suffix for a v2019 release is:
**bv2019.0b<B_CNT>**. The same build suffix is inherited by the
*:updates* and *:security* sub-repository. Before doing a new point
release *v2019.1*, we need to set the build suffix of the main
repositories (*apertis:v2019:target, apertis:v2019:development,
apertis:v2019:sdk, apertis:v2019:hmi* etc) to **vb2019.1b<B_CNT>**.

This will ensure that the packages synced from the *:updates* and
*:security* sub-repository will have a higher version, when they are
synced to the main repository. More context is available in [this
thread](https://chat.collabora.com/collabora/pl/96pn3o8q5bfr9qecw1gkr8jpdr)