+++
date = "2019-04-04"
weight = 100

title = "Docs VirtualBox Guest Additions"

aliases = [
    "/old-wiki/Docs/VirtualBox_Guest_Additions",
    "/old-wiki/Docs/VirtualBox_guest_additions"
]
+++

# Guest Additions under VirtualBox SDK images

## What are the "guest additions"?

Guest additions consist of device drivers and system applications that
optimize the guest operating system for better performance and
usability. They are designed to be installed inside a virtual machine
after the guest operating system has been installed. For more
information on the features provided by guest additions, see [the
VirtualBox manual](http://www.virtualbox.org/manual/ch04.html).

## Why should we install them ?

In the context of the project, guest additions were selected to allow
developers to enable fullscreen rendering within virtualbox SDK images.
Fullscreen is not the only reason to install guest additions, though.
Shared folders are another very handy feature.

## Installation Guide

This concise step-by-step installation guide is intended for VirtualBox
**running our Linux Apertis SDK images**.

1.  Start the Apertis SDK virtual machine in your VirtualBox
2.  Open the "Devices" - "Install Guest Additions" menu
3.  Double-click on the VBOXADDITIONS cd icon which should appear on
    your guest desktop

<!-- end list -->

1.  Open a terminal window and type: `$ sudo
    /media/user/*/VBoxLinuxAdditions.run`
2.  Execute sync command on the terminal after the above step
3.  Reboot your virtual machine
4.  Verify a new directory is created under /opt with guest additions or
    verify vboxguest module is loaded with this command `$ lsmod | grep
    vboxguest`

You can now enjoy the enhanced features which are provided by guest
additions\!
