+++
date = "2018-10-03"
weight = 100

title = "QA Test Cases apparmor-session-lockdown-denies"

aliases = [
    "/old-wiki/QA/Test_Cases/apparmor-session-lockdown-denies"
]
+++

{{ TestCase | id = apparmor-session-lockdown-denies | type = Functional
| execution_type = Manual | lava = Not Integrated | image = Target |
target = Any | state = Deprecated | description = Test that the
MxLauncher profile is indeed limited to what is allows | resources = |
preconditions = {{ EnablePackageRepositories |development|target}} {{
InstallDependencies |apertis-tests-apparmor-fake-mxlauncher
apertis-tests-apparmor-report}}

1.  Reboot.

| execution =

1.  You should see a terminal window and the simple test launcher.
2.  In the terminal, use the following command to ensure a
    .bash_history exists:
      -

            $ ls .bash_history
3.  If it does not exist, create an empty one with the following
    command:
      -

            $ echo -n > .bash_history
4.  Ensure AppArmor is enabled and working, by running aa-status:
      -

            $ sudo aa-status
5.  Run the following command:
      -

            $ sudo watch-aa
6.  In the test launcher click the **MxLauncher** button

| results =

  - aa-status should show the /usr/bin/test-launcher process in enforce
    mode

Note that there may be processes in other modes, such as in complain
mode or uncontained, that there may be more than one instance of a
process listed, and that other processes may exist in enforce mode mode.

  - Clicking the **MxLauncher** button should open a window with a
    single label saying:

<!-- end list -->

  -
    Failed to open '/home/user/.bash_history': Permission denied.

<!-- end list -->

  - The terminal should have a single log entry with the following
    output:

<!-- end list -->

    profile:/usr/lib/webkit-clutter-0/libexec/MxLauncher
    sdmode:REJECTING
    denied_mask:r
    operation:open
    name:/home/user/.bash_history
    request_mask:r

  - If the watch-aa output contains multiple entries for MxLauncher, or
    does not contain the entry described above, please report this test
    as failed, and quote the full watch-aa output in the bug report.
  - If the watch-aa output in the terminal contains additional log
    entries with a *profile* that is not related to WebKit or
    MxLauncher, such as /usr/bin/shapwick or /usr/bin/ribchester, please
    report that as a bug in the relevant component, quoting the full
    watch-aa output, but do not treat them as a failure of this test.

| postconditions =

1.  Remove the **apertis-tests-apparmor-fake-mxlauncher** and
    **apertis-tests-apparmor-test-launcher** packages.
2.  Reboot.

| notes = This tests that the fake MxLauncher, which tries to read the
user's bash history, is not allowed to do that. For more information
about the AppArmor tools mentioned here and how they are supposed to
work please check the [Apertis AppArmor
Documentation]( {{< ref "/docs/security/apparmor.md" >}} ). }}