+++
date = "2018-10-03"
weight = 100

title = "QA Test Cases apparmor-session-lockdown-no-deny"

aliases = [
    "/old-wiki/QA/Test_Cases/apparmor-session-lockdown-no-deny"
]
+++

{{ TestCase | id =apparmor-session-lockdown-no-deny | type = Functional
| priority = Medium | execution_type = Automated | lava = Integrated |
image = Target | target = Any | state = Final | description = Test that
the session lockdown profile is not blocking more than it should |
resources = | preconditions = {{ EnablePackageRepositories
|development|target}} {{ InstallDependencies
|apertis-tests-apparmor-report apparmor-utils}} | execution =

1.  First of all clean the auditd logs to ensure only new messages are
    seen:
      -

            $ echo -n | sudo tee /var/log/audit/audit.log
2.  Then reboot the image.
      -

            $ sudo reboot
3.  Ensure pulseaudio is running:
      -

            $ pactl stat

        No need to check the output of the command.
4.  Now ensure AppArmor is enabled and working, by running aa-status:
      -

            $ sudo aa-status
5.  Then ensure the audit log file has no AppArmor complaints:
      -

            $ sudo cat /var/log/audit/audit.log | sudo aa_log_extract_tokens.pl REJECTING

| results =

  - aa-status should show at least the following *processes* in complain
    mode:

<!-- end list -->

```
   /usr/bin/Xorg
   /usr/sbin/connmand
```

And at least the following *processes* in enforce mode:

```
   /usr/bin/pulseaudio
   /usr/lib/tracker/tracker-miner-fs
   /usr/lib/tracker/tracker-store
   /usr/sbin/ofonod
```

Note that there may be processes in other modes, such as in enforce
mode, uncontained, or complain mode. Also note that the confinement
status of *profiles* is irrelevant.

  - The aa_log_extract_tokens.pl command above should have no output.

| notes =

  - For more information about the AppArmor tools mentioned here and how
    they are supposed to work please check the [Apertis AppArmor
    Documentation]( {{< ref "/docs/security/apparmor.md" >}} ).
  - When pulseaudio is socket activated by systemd, the process
    pulseaudio might not be running. The command "pactl stat" activates
    it if not already done so we can check it is in the correct mode.

| notes = In LAVA, the steps before the reboot are reported as
"apparmor-session-lockdown-no-deny-before-reboot" and the steps after
the reboot are reported as "apparmor-session-lockdown-no-deny", because
LAVA does not support tests that incorporate a reboot in their steps. If
you report a failure, please report the results of both of those
together. }}