+++
date = "2018-06-25"
weight = 100

title = "QA Test Cases bluez-avrcp-volume"

aliases = [
    "/old-wiki/QA/Test_Cases/bluez-avrcp-volume"
]
+++

{{ TestCase | id = bluez-avrcp-volume | type = Functional | priority =
Medium | execution_type = Manual | target = Any | description=Test the
AVRCP volume up and down commands. | resources=

  - A Bluetooth adapter
  - An A2DP Source and AVRCP capable phone (Nokia N9 — do not use an
    Android 4.2 phone as their Bluetooth AVRCP support is broken)
      - Note that you do not need to play any music on the phone; nor do
        you need to have headphones or a speaker plugged into the
        Apertis device

| preconditions =  | execution =

1.  Ensure PulseAudio is activated:
      -

            pactl stat
2.  Run btmon <b>before</b> any connection happens:
      -

            sudo btmon  | grep -A4 'AV/C: Control'

#### Run the test

1.  In another terminal, execute:
      -

            /usr/lib/chaiwala-tests/bluez/test-avrcp.py -i hci0 device_address

<!-- end list -->

  -

      -
        You can get the Bluetooth device address by running `hcitool
        scan`.

| results =

  - If success, the following output should be generated by btmon:

<code>

`       AV/C: Control: address 0x48 opcode 0x7c`
`         Subunit: Panel`
`         Opcode: Passthrough`
`         Operation: 0x42 (VOLUME DOWN Pressed)`
`         Length: 0x00`
`--`
`       AV/C: Control: address 0x48 opcode 0x7c`
`         Subunit: Panel`
`         Opcode: Passthrough`
`         Operation: 0x41 (VOLUME UP Pressed)`
`         Length: 0x00`

</code> }}