+++
date = "2018-06-26"
weight = 100

title = "QA Test Cases connman-services"

aliases = [
    "/old-wiki/QA/Test_Cases/connman-services"
]
+++

{{ TestCase | id = connman-services | type = Functional | priority =
Critical | execution_type = Manual | target = Any | description=Tests
Network connection management: ensuring that ConnMan can connect to
actual networks is part of strategic network management functionality |
preconditions = {{ ConnmanPersistenceWarning }}

1.  The device must have wifi, otherwise skip this test

{{ ConnmanEnableWifi }} | execution =

1.  Run the ConnMan CLI Interface:
      -

            connmanctl

        When run without arguments, `connmanctl` will launch in
        interactive mode with a "`connmanctl>`" prompt.
2.  Scan wifi:
      -

            scan wifi

        Wait for "`Scan completed for wifi`" before continuing (this may
        take a few seconds and will appear above connmanctl prompt).
3.  Turn on the `agent`, to manage additional information if required:
      -

            agent on

        connmanctl should return "`Agent registered`".
4.  List services available:
      -

            services
5.  Select required service and use the "service ID" (second column) to
    connect:
      -

            connect <service ID>
6.  If it's connecting to a wifi service that needs additional
    information connmanctl will output an "`Agent RequestInput (…)`"
    line followed by a prompt for the required information, such as
    "`Passphrase?`".
7.  Ensure ConnMan returns "` Connected  `<service ID>" before
    continuing.
8.  Quit from connmanctl interactive mode with:
      -

            quit
9.  Use the tool to test different kind of security and ConnMan
    technology: Ethernet, Wi-Fi, cellular and Bluetooth.

| results =

  - If success "` Connected  `<service ID>" will be printed by
    connmanctl, otherwise "` Agent ReportError  `<service ID>" will be
    printed.

| notes =

  - When testing the SDK image in VirtualBox with an Asus USB-N10
    Wireless adapter, firmware-realtek needs to be installed on the
    host.

}}