+++
date = "2017-10-25"
weight = 100

title = "QA Test Cases factory-reset"

aliases = [
    "/qa/test_cases/factory-reset-tool.md",
    "/old-wiki/QA/Test_Cases/factory-reset-tool",
    "/old-wiki/QA/Test_Cases/factory-reset"
]
+++

{{ TestCase | id = factory-reset | type = Reliability | execution_type
= Manual | lava = N/A | image = Target | target = i.MX6 | state =
deprecated | description = Check if the system can be restored to a
factory reset state. | resources =

  - A USB mass storage device.

| execution =

1.  Trigger a factory reset
      -

            # flagtool -r -p /dev/disk/by-partlabel/flags && reboot
2.  The system will reboot and after a few minutes will reboot again
    with the factory image. On the serial console you should see the
    following messages:
      -
        flagcheck: Entering in factory reset mode
        flagcheck: Formatting boot partition
        flagcheck: Formatting rootfs partition
        flagcheck: Creating btrfs subvolume
        flagcheck: Looking if a USB mass storage device is attached
        flagcheck: USB mass storage device not found, using default
        factory image
        flagcheck: Restoring boot partition...
        flagcheck: Restoring rootfs partition...
        flagcheck: Setting flags to factory reset
        flagcheck: Rebooting
3.  Plug the USB mass storage device and format it with a single FAT32
    partition.
4.  Create mount points to mount the mass storage and the system
    partition
      -

            # mkdir /tmp/{pendrive,system}
5.  Mount the USB mass storage and the system partition that contains
    the factory image (change the device nodes and path accordingly)
      -

            # mount /dev/sda1 /tmp/pendrive

            # mount /dev/disk/by-partlabel/factory_reset /tmp/system
6.  Copy the boot.tar.gz and rootfs.tar.gz from the system partition to
    the USB mass storage device
      -

            # cp /tmp/system/{boot,rootfs}.tar.gz /tmp/pendrive
7.  Unmount both partitions
8.  Trigger a factory reset again
      -

            # flagtool -r -p /dev/disk/by-partlabel/flags && reboot
9.  The system will reboot and after a few minutes will reboot again
    with the factory image that was on the USB mass storage device. On
    the serial console you should see the following messages:
      -
        flagcheck: Entering in factory reset mode
        flagcheck: Formatting boot partition
        flagcheck: Formatting rootfs partition
        flagcheck: Creating btrfs subvolume
        flagcheck: Looking if a USB mass storage device is attached
        flagcheck: USB mass storage device found, using it as factory
        image
        flagcheck: Restoring boot partition...
        flagcheck: Restoring rootfs partition...
        flagcheck: Setting flags to factory reset
        flagcheck: Rebooting
10. Remove the USB mass storage device

| results =

1.  The system will be restored with the factory reset image

| notes = **Important:**

  - **This test restores the system to the fectory reset state so all
    changes on the file system will be lost.**

}}