+++
date = "2017-10-27"
weight = 100

title = "QA Test Cases roller scrolling vertical"

aliases = [
    "/old-wiki/QA/Test_Cases/roller_scrolling_vertical"
]
+++

{{ TestCase | id = roller-scrolling-vertical | type = Usability |
execution_type = Manual | lava = N/A | image = Any | target = Any |
state = deprecated | description = Usability test for roller vertical
kinetic scrolling.

` 1) Vertical kinetic scrolling (deceleration)`
` 2) Responsible at any time (e.g. during scroll, during lock-in effect, etc)`
` 3) Video elements should keep playing during scrolling`
` 4) scrolling of the roller items should not load the thumbnails.After Scroll stopped thumbnails should be resume loading thumbnails in the visible area.`

| execution =

Mildenhall Launcher is one of the good application to test Vertical
Kinetic scrolling.

  - ;1) To Launch mildenhall-launcher

Launcher or any application can be launched using mildehall-compositor
or directly.

a. Through compositor,

  -

        $DISPLAY=:0 mildenhall-compositor –-wayland –-nested

b. Or to run launcher directly ,

  -

        $./bin/mildenhall_launcher app-name org.apertis.Mildenhall.Launcher

  - ;2) To Launch Eye

Eye application can be used to test thumb roller scrolling, loading
thumb elements dynamically and video elements playing during scroll.

  -

        $cd /usr/Applications/org.apertis.Eye

        $./bin/eye app-name org.apertis.Eye

  - ;3) To Launch Frampton

Frampton application can be used to test thumb roller scrolling, loading
thumb elements dynamically.

  -

        $cd /usr/Applications/org.apertis.Frampton

        $./bin/frampton app-name org.apertis.Frampton menu-entry “A R T I S T” url “ ”

<!-- end list -->

  - Steps

`  1) Run Mildenhall launcher`
`  2) Scroll left roller and right roller to observe vertical Kinetic scrolling`
`  3) In thumb view, scroll thumb roller up and down to observe Kinetic scrolling`
`  4) Run Eye`
`  5) Switch to Thumb view/detail view/list view`
`  6) Scroll roller up and down `
`  7) Run Frampton`
`  8) Switch to Thumb view/detail view/list view`
`  9) Scroll roller up and down`

| preconditions =

`Install packages mildenhall-launcher, Eye, Frampton`

  -

        $sudo apt-get install mildenhall-launcher Eye Frampton

| results =

  - For Mildenhall-launcher

` 1) Vertical kinetic scrolling (deceleration)`
` 2) Responsible at any time (e.g. during scroll, during lock-in effect, etc)`

  - For Eye

` 1) Responsible at any time (e.g. during scroll, during lock-in effect, etc)`
` 2) video elements should keep playing during scrolling`

  - For Frampton

` 1) Vertical kinetic scrolling (deceleration)`
` 2) Responsible at any time (e.g. during scroll, during lock-in effect, etc)`
` 3) Scrolling of the roller items will not load the thumbnails. After Scroll has stopped, thumbnails should resume loading in the visible area.`

}}

Note: On failure to generate the logs

` 1) $export G_DEBUG_MESSAGES=lightwood-roller`
` 2) Redirect the stderr file discriptor to a log file , for example `
` 3) $./bin/mildenhall_launcher app-name org.apertis.Mildenhall.Launcher 2>log.txt`

![400px|thumb|left|Roller vertical
scrolling](/images/vertical_scroll.gif)