+++
date = "2018-06-25"
weight = 100

title = "QA Test Cases traffic-control-basic"

aliases = [
    "/old-wiki/QA/Test_Cases/traffic-control-basic"
]
+++

{{ TestCase | id = traffic-control-basic | type = Functional | priority
= Low | execution_type = Manual | lava = N/A | image = Any | target =
Any | state = Final | description = Test basic traffic control support.
This test does not use tcmmd but it could catch missing support in the
kernel or misbehaving traffic control. | resources = A web server with a
large file to download | preconditions =

#### Check tcmmd version and connectivity

1.  Check whether tcmmd \>= 0.1.6 is installed:
      -

            $ dpkg -l tcmmd
2.  Check that tcmmd is not running (kill it if it was launched from a
    previous test)
      -

            $ ps aux | grep tcmmd
3.  Check you have connectivity to your web server:
      -

            $ wget http://$SERVER_IP/file
4.  Check what is your main network interface (eth0, ens32, wlan0...)
    and note your IP.
      -

            $ ifconfig

| execution =

1.  As root, run the script:
      -

            $ sudo MAIN_LINK=$NET_INTERFACE PORT=12345 /usr/share/tcmmd/tests/manual-test.sh

        The script will install traffic control rules with different
        ingress bandwidth for TCP connections using the source port
        12345 and other TCP connections. The rules will wait and you
        will have time to check the bandwidth with wget in another
        terminal.
2.  Check bandwidth usage from a random TCP source port:
      -

            $ wget http://$SERVER_IP/file -O /dev/null
3.  Check bandwidth usage with a specific TCP source port:
      -

            $ wget --bind-address=$SOURCE_IP --bind-port=12345 http://$SERVER_IP/file -O /dev/null

| results =

1.  There should be no error
2.  bandwidth usage with a random TCP source port should be around
    4.8KB/s
3.  bandwidth usage with a specific TCP source port should be around
    78KB/s

| postconditions =

1.  If the script was interrupted, the traffic control rules can be
    removed with:
      -

            $ sudo tc qdisc del dev $NET_INTERFACE ingress

| notes = }}