+++
date = "2017-11-22"
weight = 100

title = "QA Test Cases updater-update-platform"

aliases = [
    "/old-wiki/QA/Test_Cases/updater-update-platform"
]
+++

{{ TestCase | id = updater-update-platform | type = Functional |
execution_type = Manual | lava = Not Integrated | image = Target |
target = i.MX6 Sabrelite | state = deprecated | description = Test that
chaiwala-updater is capable of performing a full platform update. |
execution = ***Please, before executing this test case take a look at
the Notes section at the end of the page.***

1.  Check system time got synced with ntp or not.
      -

            date
2.  Erase downloaded archive files.
      -

            apt-get clean
3.  Request an upgrade to the latest version of the platform
      -

            chaiwala-updater platform RELEASE-NAME
4.  Test the boot flags before rebooting
      -

            $ sudo flagtool -T update
5.  Reboot
6.  Test the boot flags after rebooting
      -

            $ sudo flagtool -T update_booted
7.  And verify the boot type
      -

        ```
         $ sudo journalctl -o short-monotonic -b --full | grep "boot type"
        ```
8.  The output should be similar to:
      -

            [   27.334282] chaiwala chaiwala-updaterd[612]: Starting boot flags update, boot type was: SUCCESSFUL_UPDATE
9.  Force a rollback
      -

            # chaiwala-rollback
10. Test the boot flags when the system comes back up
      -

            $ sudo flagtool -T rollback
11. And verify the boot type
      -

        ```
         $ sudo journalctl -o short-monotonic -b --full | grep "boot type"
        ```
12. The output should be similar to:
      -

            [   27.334282] chaiwala chaiwala-updaterd[612]: Starting boot flags update, boot type was: NORMAL

| results = The update steps will take 10–15 minutes or more depending
on the speed of your internet connection. During this time, it will
report the progress of the installation. It should complete with the
text "Upgrade Successful\!"

All the flagtool steps should print: PASS | notes =

  - chaiwala-updater logs in the journal but if you are using a console
    over serial the number of columns is limited to 80 so the -a option
    has to be passed to journalctl otherwise the log is ellipsized to 80
    chars.

**Important:**

  - Ideally, **this test case should be the last test run, as there is
    no way to revert to the exact state as before starting.** The root
    filesystem will look normal, but a new btrfs subvolume will exist,
    and the boot flags will be changed.

<!-- end list -->

  - The test case also removes any changes that have been made to the
    image - home directories, files in /etc - everything will all be
    gone.

}}