+++
date = "2018-06-25"
weight = 100

title = "QA Test Cases webkit2gtk-actor-tiles"

aliases = [
    "/old-wiki/QA/Test_Cases/webkit2gtk-actor-tiles"
]
+++

{{ TestCase | id = webkit2gtk-actor-tiles | type = Functional | priority
= Medium | execution_type = Manual | target = Target or Development |
description=Test implementation of actor-based tiled backing store in
webkit2gtk. | resources=

  - Mouse or touchscreen

| preconditions = {{ InstallDependencies |1 = -o
DPkg::options::="--force-unsafe-io" webkit2gtk-testing}} | execution =

1.  Launch the test application with each URL in resources with and
    without CLUTTER_PAINT=paint-volumes:
      -

            env CLUTTER_PAINT=paint-volumes GtkClutterLauncher file:///usr/share/webkit2gtk/testing/actor-tiles-test.html
2.  Follow the steps described on the page. They are also listed here
    for reference:
    1.  Check that the rendering of the page matches the reference in
        the results section
    2.  Click the link that will scroll the page a bit
    3.  Check that the rendering of the page matches the reference in
        the results section
    4.  Click the link that will scroll to the very bottom
    5.  Check that the rendering of the page matches the reference in
        the results section
    6.  Click the first link that will take you to a different page
    7.  Check that the rendering of the page matches the reference in
        the results section
    8.  Click the back button of the browser
    9.  Check that the rendering of the page matches the reference in
        the results section
    10. Click the second link, that will send you to the bottom
    11. Follow the links again until you get to the end of the page
        again, always making sure the rendering matches the reference
        rendering

| results =

  - This test will be considered a PASS if it works with at least one of
    mouse or touchpad because this is not a test for the mouse or
    touchpad working.
  - The page will look like this after the first load:

![<File:Actor-tiles-01.png>](/images/actor-tiles-01.png)

  - After clicking the first link the page will look like this:

![<File:Actor-tiles-02.png>](/images/actor-tiles-02.png)

  - After clicking the second link the page will look like this:

![<File:Actor-tiles-03.png>](/images/actor-tiles-03.png)

  - The new page that will be loaded looks like this:

![<File:Actor-tiles-04.png>](/images/actor-tiles-04.png)

  - Going back should give you the same rendering you had before
    clicking the link to the new page, except the link will be colored
    purple

![<File:Actor-tiles-05.png>](/images/actor-tiles-05.png)

  - After clicking the link that will take you to the beginning of the
    page and repeating the process, the renderings should be the same as
    the ones above
  - *Note* that when a page starts loading some of the tiles may contain
    a checker board; that is normal, but we plan to improve on it.

}}