+++
date = "2018-06-25"
weight = 100

title = "QA Test Cases webkit2gtk-event-handling-redesign"

aliases = [
    "/old-wiki/QA/Test_Cases/webkit2gtk-event-handling-redesign"
]
+++

{{ TestCase | id = webkit2gtk-event-handling-redesign | type =
Functional | priority = Medium | execution_type = Manual | target = Any
| description=Test WebKit2Gtk ability to scroll by touch with inertial
behaviour after the touch ended. | resources=

  - A touch-screen with multiple touch points.

| preconditions = {{ InstallDependencies |1 = -o
DPkg::options::="--force-unsafe-io" webkit2gtk-testing}} | execution =

1.  Run the following command:
      -

            GtkClutterLauncher -g 700x600 file:///usr/share/webkit2gtk/testing/scroll.html
2.  Wait for the page to load, there will be two in-page scrollable
    areas, with a text entry in between them
3.  Scroll the main page until you align the top of the text entry with
    the top of the viewport
4.  Click the entry to focus it and enter some text
5.  Scroll the scrollable area below the entry until you find another
    entry inside the scrollable area
6.  Try to focus it and enter some text
7.  Scroll to the bottom of the main page by doing a quick drag and
    release
8.  If you have a touchscreen, try dragging from the green area
9.  If you have a mouse, try dragging from the red area
10. Click one of the two links at the very bottom and wait for the page
    to load

| results =

  - A page with many nested scrollable elements should be rendered.
  - Dragging the right side of the page with a single touch or mouse
    click should cause the page content to scroll
  - Clicking or touching the entry should focus it and allow you to
    enter text
  - Scrolling the area bellow the entry should scroll the content that
    is inside that area only, revealing another text entry
  - Clicking the entry that is inside the scrollable area should focus
    it and allow you to enter text
  - When scrolling to the bottom of the page with a quick drag and
    release touch with enough momentum should cause the scroll to
    continue with decreasing speed towards the bottom of the page
  - Starting a touch drag from the green "Touch scroll drags here should
    not start" element should not result in page scrolls
  - Starting a mouse drag from the red "Mouse scroll drags here should
    not start" element should not result in page scrolls
  - Clicking one of the links at the bottom of the page should take you
    to the appropriate page (www.collabora.com or planet.collabora.com)

}}