+++
date = "2019-04-09"
weight = 100

title = "V2019dev0 TestReports 20190401 OSTree"

aliases = [
    "/old-wiki/V2019dev0/TestReports/20190401/OSTree"
]
+++

/{{\#titleparts:||2}}}}

Testing results considerations:

1.  These tests use OSTree images.
2.  Manual test cases were executed on target Arm, target AMD64 and SDK
    AMD64 images when applicable.
3.  All automated test cases already integrated into LAVA system were
    executed on the following images: target Arm, target AMD64.
4.  Failures and partial failures were filed as bugs in Phabricator for
    further investigation and analysis.

-----

The platform image used for these tests are:

  - [Minimal Arm64
    (20190401.0)](https://images.apertis.org/weekly/v2019dev0/20190401.0/arm64/minimal/apertis_ostree_v2019dev0-minimal-arm64-uboot_20190401.0.img.gz)
  - [Minimal AMD64
    (20190401.0)](https://images.apertis.org/weekly/v2019dev0/20190401.0/amd64/minimal/apertis_ostree_v2019dev0-minimal-amd64-uefi_20190401.0.img.gz)
  - [Target AMD64
    (20190401.0)](https://images.apertis.org/weekly/v2019dev0/20190401.0/amd64/target/apertis_ostree_v2019dev0-target-amd64-uefi_20190401.0.img.gz)

## Automated tests

Automated tests results are available at
<http://lavaphabbridge.apertis.org/report/v2019dev0/20190401.0/ostree>

## Manual tests

<table>
<thead>
<tr class="header">
<th><p>ID</p></th>
<th><p>Description</p></th>
<th><p>Type</p></th>
<th><p>Minimal Arm</p></th>
<th><p>Minimal SabreLite</p></th>
<th><p>Minimal Arm64</p></th>
<th><p>Minimal AMD64</p></th>
<th><p>Target Arm</p></th>
<th><p>Target AMD64</p></th>
<th><p>Tested By</p></th>
<th><p>Notes</p></th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td><p><strong>Sanity</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/sanity-check.html">sanity-check</a></p></td>
<td><p>Check that the Apertis system basically works. (manual)</p></td>
<td><p>Manual</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>bgcolor=|</p></td>
<td><p>PASSED</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><strong>Booting</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/image-bootable.html">image-bootable</a></p></td>
<td><p>Test whether the image is bootable.</p></td>
<td><p>Manual</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>bgcolor=|</p></td>
<td><p>PASSED</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/image-gui-start.html">image-gui-start</a></p></td>
<td><p>Test whether the image starts a graphical environment.</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>bgcolor=|</p></td>
<td><p>PASSED</p></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><strong>Multitouch</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/webkit2gtk-mt-touch-events.html">webkit2gtk-mt-touch-events</a></p></td>
<td><p>Test implementation of W3C touch events API in WebKit2GTK.</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><strong>WebKit</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/webkit2gtk-actor-tiles.html">webkit2gtk-actor-tiles</a></p></td>
<td><p>Test implementation of actor-based tiled backing store in webkit2GTK.</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/webkit2gtk-event-handling-redesign.html">webkit2gtk-event-handling-redesign</a></p></td>
<td><p>Test WebKit2Gtk ability to scroll by touch with inertial behaviour after the touch ended.</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><strong>Webkit2GTK-AC</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/webkit2gtk-ac-3d-rendering.html">webkit2gtk-ac-3d-rendering</a></p></td>
<td><p>Test that 3D transforms are applied correctly.</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/webkit2gtk-ac-animations.html">webkit2gtk-ac-animations</a></p></td>
<td><p>Test that Webkit2GTK actors created for representing layers animate properly.</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/webkit2gtk-ac-scrolling.html">webkit2gtk-ac-scrolling</a></p></td>
<td><p>Test that actors created for representing layers scroll properly.</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><strong>Meta Data Management</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/tracker-indexing-mass-storage.html">tracker-indexing-mass-storage</a></p></td>
<td><p>Check tracker indexes mass storage devices on insertion.</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><strong>Networking</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/bluez-avrcp-volume.html">bluez-avrcp-volume</a></p></td>
<td><p>Test the AVRCP volume up and down commands.</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/bluez-phone.html">bluez-phone</a></p></td>
<td><p>Test all BlueZ features needing interaction with a phone (Pairing, OBEX, PBAP, AVRCP, A2DP, HSP, HFP, PAN).</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>bgcolor=|</p></td>
<td><p>PASSED</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/bluez-setup.html">bluez-setup</a></p></td>
<td><p>Test setup of Bluetooth stack by running basic tests using hciconfig. Check if the interface can be brought up/down, can be changed of mode and can discover devices.</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>bgcolor=|</p></td>
<td><p>PASSED</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/connman-pan-tethering.html">connman-pan-tethering</a></p></td>
<td><p>Test ConnMan support for PAN connectivity.</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/connman-pan-network-access.html">connman-pan-network-access</a></p></td>
<td><p>Test ConnMan support for bluetooth PAN Network Access Profile.</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/connman-services.html">connman-services</a></p></td>
<td><p>Tests ConnMan services.</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>bgcolor=|</p></td>
<td><p>PASSED</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/connman-usb-tethering.html">connman-usb-tethering</a></p></td>
<td><p>Test ConnMan support for USB tethering (connection side).</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/ofono-sms-receive.html">ofono-sms-receive</a></p></td>
<td><p>Test receiving SMS messages with oFono.</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/ofono-sms-send.html">ofono-sms-send</a></p></td>
<td><p>Test sending of SMS with oFono.</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><strong>Contacts</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/evolution-sync-bluetooth.html">evolution-sync-bluetooth</a></p></td>
<td><p>Synchronizing Bluetooth-paired phone contacts to Evolution.</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><strong>Connectivity</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/bluez-hfp.html">bluez-hfp</a></p></td>
<td><p>Test Hands Free Profile (HFP) BlueZ feature.</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/rfkill-toggle.html">rfkill-toggle</a></p></td>
<td><p>Test that rfkill is functional.</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>bgcolor=|</p></td>
<td><p>bgcolor=|</p></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/telepathy-ring.html">telepathy-ring</a></p></td>
<td><p>Support making and receiving phone calls in Telepathy manually, with a bluetooth-paired phone.</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><strong>Contacts</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/folks-ofono-backend.html">folks-ofono-backend</a></p></td>
<td><p>Reading contacts from 3G modem SIM card.</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><strong>Multimedia</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/webkit2gtk-gstreamer1.0.html">webkit2gtk-gstreamer1.0</a></p></td>
<td><p>Tests html5 video playback with GStreamer 1.0 in WebKit2GTK</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/traffic-control-basic.html">traffic-control-basic</a></p></td>
<td><p>Test basic traffic control support. This test does not use tcmmd but it could catch missing support in the kernel or misbehaving traffic control.</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/video-animation-on-boot.html">video-animation-on-boot</a></p></td>
<td><p>Test whether Plymouth is able to display a graphical theme.</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>bgcolor=|</p></td>
<td><p>FAILED</p></td>
<td></td>
<td><p>sagar</p></td>
</tr>
<tr class="odd">
<td><p><strong>Security</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/apparmor-bluez.html">apparmor-bluez</a></p></td>
<td><p>Test AppArmor profile for support for SPP profile (bluez-spp) and core functionalities (bluez-core).</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>bgcolor=|</p></td>
<td><p>NOT_TESTED</p></td>
<td><p></p></td>
<td><p>sagar this fix works only on apt based images currently</p></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/apparmor-bluez-avrcp-volume.html">apparmor-bluez-avrcp-volume</a></p></td>
<td><p>Test AppArmor profile for Bluez AVRCP volume up and down commands.</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/apparmor-bluez-setup.html">apparmor-bluez-setup</a></p></td>
<td><p>Test AppArmor profiles for setting up of Bluetooth stack by running basic tests using hciconfig. Check if the interface can be brought up/down, can be changed of mode and can discover devices.</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>bgcolor=|</p></td>
<td><p>PASSED</p></td>
<td></td>
<td><p>sagar</p></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/apparmor-ofono.html">apparmor-ofono</a></p></td>
<td><p>Test that AppArmor profiles provided in ofono package work without unexpected auditd log entries.</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/iptables-nmap.html">iptables-nmap</a></p></td>
<td><p>Test the firewall using nmap from another computer.</p></td>
<td><p>Manual</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>bgcolor=|</p></td>
<td><p>PASSED</p></td>
<td><p>sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><strong>Webkit</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/webkit2gtk-aligned-scroll.html">webkit2gtk-aligned-scroll</a></p></td>
<td><p>Test that scrolling is pinned in a given direction when started mostly towards it.</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/webkit2gtk-lazy-click.html">webkit2gtk-lazy-click</a></p></td>
<td><p>Test touch adjustment (lazy click) support in WebKit2GTK</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/webkit2gtk-drag-and-drop.html">webkit2gtk-drag-and-drop</a></p></td>
<td><p>Test HTML5 drag-and-drop support in WebKit2GTK</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/webkit2gtk-contextual-zoom.html">webkit2gtk-contextual-zoom</a></p></td>
<td><p>This test case is about zooming parts of a web page to make it easier to read on devices with limited screen area. The scope of the test is the zooming functionality that takes into account the content in the clicked area, other functionality that belongs to a real browser isn't to be tested here.</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><strong>Apertis update manager</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/apertis-update-manager-api.html">apertis-update-manager-api</a></p></td>
<td><p>Test the apertis-update-manager automatic update.</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/apertis-update-manager-automount.html">apertis-update-manager-auto</a></p></td>
<td><p>Test the apertis-update-manager automatic update via mass storage device.</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/apertis-update-manager-diskfull.html">apertis-update-manager-diskfull</a></p></td>
<td><p>Ensure that failures due to disk full errors during updates have no effect on the system,</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/apertis-update-manager-manual.html">apertis-update-manager-manual</a></p></td>
<td><p>Test the manual update with apertis-update-manager.</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/apertis-update-manager-powercut.html">apertis-update-manager-powercut</a></p></td>
<td><p>Ensure that failures due to power losses during updates have no effect on the system.</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://qa.apertis.org/apertis-update-manager-rollback.html">apertis-update-manager-rollback</a></p></td>
<td><p>Test the automatic rollback and blacklist mechanism of apertis-update-manager.</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://qa.apertis.org/apertis-update-manager-usb-unplug.html">apertis-update-manager-usb-unplug</a></p></td>
<td><p>Test the apertis-update-manager automatic update interrupted by mass storage removing.</p></td>
<td><p>Manual</p></td>
<td><p>N/A</p></td>
<td></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td></td>
<td><p>PASSED - All tests passed.</p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p>Automated</p></td>
<td><p>PARTIAL - Tests mostly passed, with some minor problems.</p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td></td>
<td><p>FAILED - One or more tests failed.</p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td></td>
<td><p>NOT TESTED - Test not run due to some issue, like WIP, Disabled, lacking proper hardware.</p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td></td>
<td><p>CRITICAL test case - release blocker</p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td></td>
<td><p>HIGH priority test case - must be tested every week</p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td></td>
<td><p>MEDIUM priority test case - must be tested at least every other week</p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td></td>
<td><p>LOW priority test case - test when possible</p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
</tbody>
</table>

[Category:QA/Test report]( {{< ref "/category_qa/test_report.md" >}} )
[Category:QA/OSTree test
report]( {{< ref "/category_qa/ostree_test_report.md" >}} ) [Category:QA/Test
report/{{\#rel2abs:
../../../.}}]()